EDIT - bug #8042

Ul is too restricted for users with right Project Manager
01/31/2019 10:12 AM - Patrick Plitzner

response: status code = 403, status message = [Access is denied]

E The connection to the server could not be esablished because the access was
denied.

org.apache.http.NoHttpResponseException: Did not receive successful HTTP

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Release 5.5
Severity: critical Found in Version: Release 5.5
Description
This happened for Tilo when he was trying to log in to additivity_ontology on edit-test.
COM Server - | edit-test ~| Available
CDM Instance . [cdm_production_additivity_c vl Aovailable
Login: thenning Password: #®esssssss
Remember Me Default: admin (legin), 00000 (password)
You are logged in now but you are not permitted to...
b advanced i
I
The user is logged in but this strange error message appears in the login dialog.
When trying to, for example, expand a classification, the following message is displayed:
(2% Taxonomic Tree 52 | = & = B ||References 2 |
Default Classification Specimen Import
Defa assification Specimen Import Title Cache |*
P My Classification
References
Access denied + X

Copy Error Details == OK
followed up by
Access denied + X
The connection to the server could not be esablished because the access was denied.
E java.lang.Throwable: Error thrown but no associated exception
Copy Error Details > 0K

His user account had the group ProjectManager. Then | assigned it to the Editor group he could log in normally.
Related issues:
Related to EDIT - feature request #7993: Display "Access Denied" dialog in ca... Closed

Associated revisions

Revision c1d9a788 - 01/31/2019 11:47 AM - Andreas Kohlbecker
ref #7972, ref #8042 permitting remoting access to ROLE_PROJECT_MANAGER

History

#1-01/31/2019 10:13 AM - Patrick Plitzner

- Description updated

#2 - 01/31/2019 10:18 AM - Patrick Plitzner

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

#3 - 01/31/2019 10:20 AM - Andreas Miiller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.5

- Severity changed from normal to critical

| assign this to AK as it is related to the new rights. We had already discussed that ProjectManager also needs remoting rights.

#4 - 01/31/2019 11:03 AM - Patrick Plitzner

- Related to feature request #7993: Display "Access Denied" dialog in case the remoting service responds with status code = 4xx added

#5 - 01/31/2019 12:00 PM - Andreas Kohlbecker
- Status changed from New to In Progress
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 0 to 10

| created access to remoting for 'ROLE_PROJECT_MANAGER' but the subject of this ticket is another problem:

Obviously it is still possible to use the Editor after a successful login with a user which lacks the authority to use the remoting service. A user without
permission to use the removing service should not be able to do anything related to data in the editor.

By now is see the following options
1. once the login dialog knows the user is not permitted to use the remoting service, it should automatically logout the user. The message displayed
to the user needs to be different in this case. "Your credentials are valid but you are not permitted access any data." ... something more compact
of course
2. The login dialog will log out the user once the dialog is closed.
| am passing this issue to you now Katja since you are dedicated to #7993
#6 - 01/31/2019 12:06 PM - Andreas Miiller
Andreas Kohlbecker wrote:
Obviously it is still possible to use the Editor after a successful login with a user which lacks the authority to use the remoting service. A user

without permission to use the removing service should not be able to do anything related to data in the editor.

I don't understand this. In this ticket description it is said that "His user account had the group ProjectManage". So | guess that
ROLE_PROJECT_MANAGER should be available for the User. So he had the right to work remote. This ticket IMO is not about the correct login
behavior which is handled in #7993

#7 - 01/31/2019 12:08 PM - Andreas Kohlbecker
Andreas Muller wrote:
Andreas Kohlbecker wrote:

Obviously it is still possible to use the Editor after a successful login with a user which lacks the authority to use the remoting service. A
user without permission to use the removing service should not be able to do anything related to data in the editor.
https://dev.e-taxonomy.eu/redmine/issues/7993
https://dev.e-taxonomy.eu/redmine/issues/7993

I don't understand this. In this ticket description it is said that "His user account had the group ProjectManage".....

| was referring to the issue subject which is "...users with insufficient rights"

#8 - 01/31/2019 12:12 PM - Andreas Miiller
- Subject changed from Ul is overly restricted for users with insufficient rights to Ul is overly restricted for users with right Project Manager
- Assignee changed from Katja Luther to Andreas Kohlbecker
Andreas Kohlbecker wrote:
Andreas Miller wrote:
Andreas Kohlbecker wrote:
Obviously it is still possible to use the Editor after a successful login with a user which lacks the authority to use the remoting service.
A user without permission to use the removing service should not be able to do anything related to data in the editor.
| don't understand this. In this ticket description it is said that "His user account had the group ProjectManage".....

| was referring to the issue subject which is "...users with insufficient rights"

Yes, sometimes the ticket description is more correct then the label.

But do you agree that this is not Katjas issue but rather related to your original ticket (create right remoting or so).

#9 - 01/31/2019 12:18 PM - Andreas Kohlbecker
- Category changed from taxeditor to cdmlib-remote
- Status changed from In Progress to Closed

- % Done changed from 10 to 100

agreed!

#10 - 02/01/2019 03:19 PM - Andreas Miiller

- Subject changed from Ul is overly restricted for users with right Project Manager to Ul is too restricted for users with right Project Manager

#11 - 02/01/2019 03:20 PM - Andreas Miiller
- Tracker changed from feature request to bug

- Found in Version set to Release 5.5
